<bugID>1258675<Summary>Broken palette after entering in Customize mode from a second tab</Summary><Description>[Affected versions]:
Firefox 48.0a1 (2016-03-21)
Firefox 47.0a2 (2016-03-22)

[Affected platforms]:
Windows 10 64-bit
Ubuntu 12.04 32-bit
Mac OS 10.11 

[Steps to reproduce]:
1.Launch Firefox with clean profile.
2.Click menu [&#8801;] &#8594; select "Customize".
3.Switch the focus to another tab without exiting from customize mode.
4.Click again on menu [&#8801;] &#8594; select "Customize".

[Expected Results]:
The pallet&#8217;s items are correctly displayed.

[Actual Results]:
- Every item&#8217;s name from palette is doubled while entering in Customize mode from a second tab.
- See screenshot: http://i.imgur.com/6opOESE.jpg
- The following errors are thrown in Browser Console: http://pastebin.com/FLscdJXY

[Regression range]:
First bad revision: af6356a3e8c56036b74ba097395356d9c6e6c5a3 (2016-02-21)
Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=69ec3dc408a2a720cb2b8210fea33e3504aeec22&amp;tochange=af6356a3e8c56036b74ba097395356d9c6e6c5a3

Last good revision: 7bfe45ec123a47d227147967748ef72a36a378ac
First bad revision: af6356a3e8c56036b74ba097395356d9c6e6c5a3
Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=7bfe45ec123a47d227147967748ef72a36a378ac&amp;tochange=af6356a3e8c56036b74ba097395356d9c6e6c5a3


I suspect that this issue was regressed by Bug 1014185

[Additional notes]:
- All the items disappear when a broken item is dragged through the pallet: http://i.imgur.com/vPqu4an.jpg  
- &#8220;Exit Customize&#8221; button remains in this state even the Customize mode is no longer active: http://i.imgur.com/KaV2P8l.jpg</Description></bugID>